## pike7.8 7.8.352

=== Makefile ===
#
# $Id: Makefile,v 1.167 2008/08/17 20:21:13 mast Exp $
#
# Meta Makefile
#

# Use this to pass arguments to configure. Leave empty to keep previous args.
#CONFIGUREARGS=

# Set this to any generic make options you'd otherwise would have to
# pass on the command line. (Using the magic MAKEFLAGS variable
# directly here might not work all the time due to the $(DO_MAKE)
# recursion.)
#MAKE_FLAGS=

# Set to a flag for parallelizing make, e.g. -j2. It's given to make
# at the level where it's most effective.
#MAKE_PARALLEL=-j`test -f /proc/cpuinfo && grep ^processor /proc/cpuinfo | wc -l || echo 1`

# Tip: Remove "-r" from the line below if you don't want to rebuild
# from scratch every time you upgrade the kernel.
OS=`uname -s -r -m|sed \"s/ /-/g\"|tr \"[A-Z]\" \"[a-z]\"|tr \"/()\" \"___\"`

VPATH=.
BUILDDIR=build/$(OS)
METATARGET=

# This evaluates to a proper make command.
# Regardless of whether the make sets $(MAKE) or not.
# Priority is $(MAKE) before ${MAKE} before make.
MAKE_CMD=`if [ "x$(MAKE)" = "x" ]; then echo "$${MAKE-make}"; else echo "$(MAKE)"; fi`

# Used internally in this file to start a submake to expand
# $(BUILDDIR), $(MAKE_CMD) etc.
DO_MAKE=MAKE="$(MAKE_CMD)" export MAKE && \
  "$${MAKE}" \
  `$$MAKE force --no-print-directory >/dev/null 2>&1 && echo --no-print-directory || :` \
  $(MAKE_FLAGS) "MAKE=$${MAKE}" \
  "CONFIGUREARGS=$(CONFIGUREARGS)" "BUILDDIR=$(BUILDDIR)"

# Used to avoid make compatibility problems.
BIN_TRUE=":"

all: bin/pike compile
	-@$(BIN_TRUE)

force:
	-@$(BIN_TRUE)

src/configure:
	cd src && ./run_autoconfig .

force_autoconfig:
	cd src && ./run_autoconfig .

force_configure:
	-builddir="$(BUILDDIR)"; rm -f "$$builddir/Makefile"
	@$(DO_MAKE) configure

reconfigure:
	-builddir="$(BUILDDIR)"; rm -f "$$builddir/Makefile" "$$builddir/config.cache"
	@$(DO_MAKE) configure

configure_help: src/configure
	cd src && ./configure --help

compile:
	@$(DO_MAKE) METATARGET=$(METATARGET) _make_in_builddir

builddir:
	@builddir="$(BUILDDIR)"; \
	if [ -d "$$builddir" ]; then : ; else NEWBUILD=YEP ; fi; \
	OLDIFS="$IFS"; \
	IFS='/'; \
	dir=`echo "$$builddir" | sed -e 's|[^/].*||'`; \
	for d in $$builddir; do \
	  dir="$$dir$$d"; \
	  if test x"$$dir" = x -o -d "$$dir"; then :; else \
	    echo "Creating $$dir..."; \
	    mkdir "$$dir" || exit 1; \
	  fi; \
	  dir="$$dir/"; \
	done; \
	IFS="$OLDIFS"; \
	if [ "x$$NEWBUILD" = "xYEP" ]; then \
	  if [ -f "refdoc/autodoc.xml" ]; then \
	    cp "refdoc/autodoc.xml" "$$builddir"; \
	  fi; \
	  mkdir "$$builddir/doc_build"; \
	  if [ -d "refdoc/images" ]; then \
	    cp -R "refdoc/images" "$$builddir/doc_build/images"; \
	  fi; \
	fi; \
	cd "$$builddir"

configure: src/configure builddir
	@builddir="$(BUILDDIR)"; \
	srcdir=`pwd`/src; \
	cd "$$builddir" && { \
	  if test "x$(CONFIGUREARGS)" = x--help; then \
	    "$$srcdir"/configure --help; \
	    exit 1; \
	  fi; \
	  if test "x$(CONFIGUREARGS)" = x; then :; else \
	    configureargs="$(CONFIGUREARGS)"; \
	    oldconfigureargs="$(CONFIGUREARGS)"; \
	  fi; \
	  if test -f .configureargs; then \
	    oldconfigureargs="`cat .configureargs`"; \
	  else :; fi; \
	  if test "x$(CONFIGUREARGS)" = x; then \
	    configureargs="$$oldconfigureargs"; \
	  else :; fi; \
	  MAKE="$(MAKE_CMD)"; \
	  export MAKE; \
	  echo; \
	  echo Configure arguments: $$configureargs; \
	  echo 'Use `make CONFIGUREARGS="..."' "...'" 'to change them.'; \
	  echo 'They will be retained in the build directory.'; \
	  echo; \
	  if test -f Makefile -a -f config.status -a -f .configureargs -a \
		  "x$$oldconfigureargs" = "x$$configureargs"; then :; \
	  else \
	    echo Running $$srcdir/configure $$configureargs in $$builddir; \
	    if test "x$${CONFIG_SHELL}" = "x" && \
	      /bin/bash -norc -c : 2>/dev/null; then \
	      CONFIG_SHELL="/bin/bash -norc" ; \
	    fi ;\
	    runconfigure () { \
	      CONFIG_SITE=x $${CONFIG_SHELL-/bin/sh} \
		"$$srcdir"/configure "$$@" || exit $$?; \
	    }; \
	    eval runconfigure $$configureargs; \
	    echo "$$configureargs" > .configureargs; \
	    if test "x$$oldconfigureargs" = "x$$configureargs"; then :; \
	    else \
	      echo Configure arguments have changed - doing make config_change_clean; \
	      $${MAKE} "MAKE=$${MAKE}" config_change_clean || exit $$?; \
	      if test "x$(METATARGET)" = "xsource"; then :; \
	      elif test "x$(METATARGET)" = "xexport"; then :; \
	      else \
		echo Configure arguments have changed - doing make depend; \
		$${MAKE} "MAKE=$${MAKE}" depend || exit $$?; \
	      fi; \
	    fi; \
	  fi; \
	} || exit $$?

# This target should always be executed indirectly through a $(DO_MAKE).
_make_in_builddir: configure
	@builddir="$(BUILDDIR)"; \
	cd "$$builddir" && { \
	  metatarget="$(METATARGET)"; \
	  if test "x$(LIMITED_TARGETS)" = "x"; then \
	    if test -f master.pike -a -x pike; then :; \
	    elif test "x$$metatarget" = xpike; then :; \
	    else metatarget="all $$metatarget"; fi; \
	    if test "x$$metatarget" = x; then metatarget=all; else :; fi; \
	  else :; fi; \
	  MAKE="$(MAKE_CMD)"; \
	  export MAKE; \
	  for target in $$metatarget; do \
	    echo Making $$target in "$$builddir"; \
	    rm -f remake; \
	    $${MAKE} "MAKE=$${MAKE}" "MAKE_PARALLEL=$(MAKE_PARALLEL)" "EXPORT_NAME=$(EXPORT_NAME)" $$target || { \
	      res=$$?; \
	      if test -f remake; then \
		$${MAKE} "MAKE=$${MAKE}" "MAKE_PARALLEL=$(MAKE_PARALLEL)" "EXPORT_NAME=$(EXPORT_NAME)" $$target || \
		  exit $$?; \
	      else \
		exit $$res; \
	      fi; \
	    }; \
	  done; \
	} || exit $$?

# FIXME: The refdoc stuff ought to use $(BUILDDIR) too.

documentation:
	@$(DO_MAKE) "METATARGET=documentation" _make_in_builddir

doc: documentation

doxygen:
	doxygen refdoc/doxygen.cfg

legal: bin/pike
	bin/pike -e 'Stdio.write_file("COPYRIGHT", \
	  Tools.Legal.Copyright.get_text());'
	bin/pike -e 'Stdio.write_file("COPYING", \
	  Tools.Legal.License.get_text());'

release_checks: bin/pike
	bin/pike tools/release_checks.pike

# Don't make bin/pike if we're recursing with a $(METATARGET) since we
# don't want the backquote expression which usually is part of
# $(BUILDDIR) to be expanded in that script. It's better to evaluate
# it when the script is run, so that it can choose the build directory
# for the right architecture.
bin/pike: force
	@if test \! -x bin/pike -o "x$(METATARGET)" = x; then \
	  builddir='$(BUILDDIR)'; \
	  case $$builddir in /*) ;; *) builddir="`pwd`/$$builddir";; esac; \
	  sed -e "s@\"BUILDDIR\"@$$builddir@" < bin/pike.in > bin/pike && \
	  chmod a+x bin/pike; \
	else :; fi

# This skips the modules.
pike: bin/pike
	@$(DO_MAKE) "METATARGET=pike" _make_in_builddir

libpike: force
	@$(DO_MAKE) "METATARGET=libpike.so" _make_in_builddir

install: bin/pike
	@$(DO_MAKE) "METATARGET=install" _make_in_builddir

install_nodoc: bin/pike
	@INSTALLARGS="--no-autodoc $(INSTALLARGS)"
	@$(DO_MAKE) "METATARGET=install" _make_in_builddir

install_interactive: bin/pike
	@$(DO_MAKE) "METATARGET=install_interactive" _make_in_builddir

install_interactive_nodoc: bin/pike
	@INSTALLARGS="--no-audodoc $(INSTALLARGS)"
	@$(DO_MAKE) "METATARGET=install_interactive" _make_in_builddir

tinstall: bin/pike
	@$(DO_MAKE) "METATARGET=tinstall" _make_in_builddir

testsuites:
	@$(DO_MAKE) "METATARGET=testsuites" _make_in_builddir
	@$(DO_MAKE) "METATARGET=testsuite" _make_in_builddir

just_verify:
	@$(DO_MAKE) "METATARGET=just_verify" _make_in_builddir

valgrind_just_verify:
	@$(DO_MAKE) "METATARGET=valgrind_just_verify" _make_in_builddir

verify:
	@$(DO_MAKE) "METATARGET=verify" _make_in_builddir

valgrind_verify:
	@$(DO_MAKE) "METATARGET=valgrind_verify" _make_in_builddir

verify_installed:
	@$(DO_MAKE) "METATARGET=verify_installed" _make_in_builddir

check: verify
	-@$(BIN_TRUE)

sure: verify
	-@$(BIN_TRUE)

verbose_verify:
	@$(DO_MAKE) "METATARGET=verbose_verify" _make_in_builddir

gdb_verify:
	@$(DO_MAKE) "METATARGET=gdb_verify" _make_in_builddir

dump_modules:
	@$(DO_MAKE) "METATARGET=dump_modules" _make_in_builddir

force_dump_modules:
	@$(DO_MAKE) "METATARGET=force_dump_modules" _make_in_builddir

delete_dumped_modules:
	@$(DO_MAKE) "METATARGET=delete_dumped_modules" _make_in_builddir

undump_modules:
	@$(DO_MAKE) "METATARGET=undump_modules" _make_in_builddir

run_hilfe:
	@$(DO_MAKE) "METATARGET=run_hilfe" _make_in_builddir

gdb_hilfe:
	@$(DO_MAKE) "METATARGET=gdb_hilfe" _make_in_builddir

source:
	@$(DO_MAKE) "CONFIGUREARGS=--disable-binary $(CONFIGUREARGS)" \
	  "OS=source" "LIMITED_TARGETS=yes" "METATARGET=source" _make_in_builddir

export:
	@EXPORT_PREREQ=yepp ; echo ; \
	if [ -f "$(BUILDDIR)/autodoc.xml" ]; then : ; else \
	  echo 'No documentation source built.'; \
	  EXPORT_PREREQ=FAIL ; \
	fi ; \
	if ls bundles/gmp-*.tar.gz > /dev/null 2>&1; then : ; else \
	  echo 'Missing GMP bundle.'; \
	  EXPORT_PREREQ=FAIL ; \
	fi ; \
	if ls bundles/nettle-*.tar.gz > /dev/null 2>&1; then : ; else \
	  echo 'Missing Nettle bundle.'; \
	  EXPORT_PREREQ=FAIL ; \
	fi ; \
	if ls bundles/libffi-*.tar.gz > /dev/null 2>&1; then : ; else \
	  echo 'Missing libffi bundle.'; \
	  EXPORT_PREREQ=FAIL ; \
	fi ; \
	if [ "$$EXPORT_PREREQ" = "FAIL" ]; then : \
	  echo 'Fix the above error(s) and rerun "make export", or'; \
	  echo '"make export_forced" to bypass these checks.';\
	  echo ; \
	  exit 1; \
	fi
	@$(DO_MAKE) "CONFIGUREARGS=--disable-binary $(CONFIGUREARGS)" \
	  "OS=source" "LIMITED_TARGETS=yes" "METATARGET=export" _make_in_builddir

export_forced:
	@$(DO_MAKE) "CONFIGUREARGS=--disable-binary $(CONFIGUREARGS)" \
	  "OS=source" "LIMITED_TARGETS=yes" "METATARGET=export" _make_in_builddir

snapshot_export:
	@$(DO_MAKE) "CONFIGUREARGS=--disable-binary $(CONFIGUREARGS)" \
	  "OS=source" "LIMITED_TARGETS=yes" "METATARGET=snapshot_export" \
	  "EXPORT_NAME=Pike-v%maj.%min-snapshot-%Y%M%D" _make_in_builddir

snapshot: snapshot_export

xenofarm_export:
	@echo Begin export
	@rm -f export_result.txt
	@echo "Adding bundles from $$HOME/pike_bundles/..." >>export_result.txt
	@for f in "$$HOME/pike_bundles/"* no; do \
	  if test -f "$$f"; then \
	    echo "  Bundling" `echo "$$f"|sed -e 's/.*\///g'`; \
	    cp -f "$$f" bundles/; \
	  fi; \
	done >>export_result.txt
	@$(DO_MAKE) "CONFIGUREARGS=--disable-binary $(CONFIGUREARGS)" \
	  "OS=source" "LIMITED_TARGETS=yes" "METATARGET=snapshot_export" \
	  "EXPORT_NAME=Pike%maj.%min-%Y%M%D-%h%m%s" \
	  "EXPORTARGS=--snapshot $(EXPORTARGS)" \
	  _make_in_builddir >>export_result.txt 2>&1
	@echo Export done

bin_export:
	@$(DO_MAKE) "METATARGET=bin_export" _make_in_builddir

wix:
	@$(DO_MAKE) "METATARGET=wix" _make_in_builddir

feature_list:
	@$(DO_MAKE) "METATARGET=feature_list" _make_in_builddir

solaris_pkg_configure:
	@$(DO_MAKE) "CONFIGUREARGS=--prefix=/opt $(CONFIGUREARGS)" \
	  "METATARGET=configure" _make_in_builddir

solaris_pkg: solaris_pkg_configure bin/pike
	@test -d "${BUILDDIR}/solaris_pkg_build" || mkdir "${BUILDDIR}/solaris_pkg_build"
	@cd "${BUILDDIR}" && $(DO_MAKE) \
		"buildroot=solaris_pkg_build/" \
		install
	@bin/pike bin/make_solaris_pkg.pike --prefix="/opt" --installroot="`pwd`/${BUILDDIR}/solaris_pkg_build"  --pkgdest="`pwd`"
	@test -d "${BUILDDIR}/solaris_pkg_build" && rm -rf "${BUILDDIR}/solaris_pkg_build"
	@ls -l *pkg

xenofarm_feature:
	$(DO_MAKE) BUILDDIR="$(BUILDDIR)" \
	  CONFIGUREARGS="$(CONFIGUREARGS) --with-cdebug --with-security --with-double-precision --with-profiling --with-keypair-loop --with-new-multisets" \
	  xenofarm

xenofarm:
	-rm -rf xenofarm_result
	mkdir xenofarm_result
	-CCACHE_LOGFILE="`pwd`/xenofarm_result/ccache.log.txt" \
	  CONFIGUREARGS="$(CONFIGUREARGS)" \
	  MAKE="$(MAKE_CMD)" BUILDDIR="$(BUILDDIR)" /bin/sh bin/xenofarm.sh
	cd xenofarm_result && tar cf - . > ../xenofarm_result.tar
	gzip -f9 xenofarm_result.tar

benchmark:
	@$(DO_MAKE) "METATARGET=run_bench" _make_in_builddir

clean:
	-cd "$(BUILDDIR)" && test -f Makefile && $(DO_MAKE) clean || { \
	  res=$$?; \
	  if test -f remake; then $(DO_MAKE) clean; \
	  else exit $$res; fi; \
	} || exit $$?

spotless:

=== refdoc/Makefile ===
#
# Main Makefile for extracting AutoDoc mk II to XML
#
# $Id: Makefile,v 1.62 2004/05/19 18:37:26 nilsson Exp $
#
# Henrik Grubbstrm 2001-02-02
#

BUILDDIR=
DESTDIR=
PIKE=pike

all: modref traditional

pike.ida.liu.se: modref pelix_modref traditional

caudium.net: modref caudium_modref traditional

# These are the actual build targets for making manuals...

modref: $(BUILDDIR)/modref.xml structure/modref.css structure/modref.html \
	  presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" DESTDIR="$(DESTDIR)" low_modref

module_modref: $(BUILDDIR)/module_modref.xml structure/modref.css structure/module_modref.html \
	  presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" DESTDIR="$(DESTDIR)" low_module_modref

low_module_modref:
	-rm -rf $(DESTDIR)modref
	@mkdir $(DESTDIR)modref
	@cp structure/modref.css $(DESTDIR)modref/style.css
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/module_modref.xml structure/module_modref.html $(DESTDIR)modref predef
	@mkdir $(DESTDIR)modref/images
	-cp $(BUILDDIR)/doc_build/images/* $(DESTDIR)modref/images
	@for file in pike_logo.gif next.gif prev.gif unit.gif \
          pike_line_left.gif pike_line_middle.gif pike_line_right.gif ; do \
	  cp src_images/$$file $(DESTDIR)modref/images/ ; done

low_modref:
	-rm -rf $(DESTDIR)modref
	@test -d $(DESTDIR)modref || mkdir modref
	@cp structure/modref.css modref/style.css
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/modref.xml structure/modref.html $(DESTDIR)modref predef
	@test -d $(DESTDIR)modref/images || mkdir $(DESTDIR)modref/images
	-cp $(BUILDDIR)/doc_build/images/* $(DESTDIR)modref/images
	@for file in pike_logo.gif next.gif prev.gif unit.gif \
          pike_line_left.gif pike_line_middle.gif pike_line_right.gif ; do \
	  cp src_images/$$file $(DESTDIR)modref/images/ ; done

pelix_modref: $(BUILDDIR)/modref.xml structure/pelix_modref.html \
	        presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" low_pelix_modref

low_pelix_modref:
	-rm -rf pelix_modref
	@mkdir pelix_modref
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/modref.xml structure/pelix_modref.html pelix_modref predef
	@mkdir pelix_modref/images
	cp $(BUILDDIR)/doc_build/images/* pelix_modref/images

caudium_modref: $(BUILDDIR)/modref.xml structure/caudium_modref.html \
		presentation/make_html.pike presentation/tree-split-autodoc.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" low_caudium_modref

low_caudium_modref:
	-rm -rf caudium_modref
	@mkdir caudium_modref
	@$(PIKE) presentation/tree-split-autodoc.pike \
	  $(BUILDDIR)/modref.xml structure/caudium_modref.html caudium_modref predef
	@mkdir pelix_modref/images
	cp $(BUILDDIR)/doc_build/images/* caudium_modref/images

one_page: onepage $(BUILDDIR)/onepage.xml presentation/make_html.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" low_one_page

low_one_page:
	cp $(BUILDDIR)/doc_build/images/* onepage/
	@$(PIKE) presentation/make_html.pike --img= $(BUILDDIR)/onepage.xml

traditional: traditional_manual $(BUILDDIR)/traditional.xml presentation/make_html.pike
	@$(MAKE) PIKE="$(PIKE)" BUILDDIR="$(BUILDDIR)" DESTDIR="$(DESTDIR)" low_traditional

low_traditional:
	cp $(BUILDDIR)/doc_build/images/* $(DESTDIR)traditional_manual/images/
	@$(PIKE) presentation/make_html.pike --dest=$(DESTDIR) --img=images/ $(BUILDDIR)/traditional.xml

# Sub targets used by the above targets.

always:

images: $(BUILDDIR)/doc_build/src/post_modules/GTK/refdoc/images
	@cp ../src/post_modules/GTK/refdoc/images/*.png \
	  $(BUILDDIR)/doc_build/src/post_modules/GTK/refdoc/images

# Directories

onepage:
	@test -d onepage || mkdir onepage

traditional_manual:
	@test -d traditional_manual || mkdir traditional_manual
	@test -d traditional_manual/images || mkdir traditional_manual/images


# Development targets

touch-mirardoc:
	@touch `grep -r \\*\\*\! ../src/modules/* | cut -d: -f1 | \
	  uniq`
	@touch `grep -r "//\! module" ../lib/modules/* | cut -d: -f1 | \
	  uniq`


# Cleanup

clean:
	true

spotless:
	-test -f .cvsignore && rm -rf `cat .cvsignore`

## pike7.8 7.8.352-dfsg

=== debian/changelog ===
pike7.8 (7.8.352-dfsg-4ubuntu1) oneiric; urgency=low

  * Make the build more verbose.
  * Build with -O1 on i386.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Sep 2011 16:35:27 +0200

pike7.8 (7.8.352-dfsg-4build1) oneiric; urgency=low

  * Rebuild for libnettle4.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Aug 2011 16:16:53 +0100

pike7.8 (7.8.352-dfsg-4) unstable; urgency=low

  * Correct description of pike7.8-pcre (Closes: #597867).
  * Convert to source format 3.0 (quilt).
  * nettle-2.1.patch (new): Adjust Nettle module to build with Nettle 2.1.
  * Build-depend on the new libgmp10-dev instead of libgmp3-dev.
  * dump_timeout.patch (new): Increase `pike -x dump' timeout to five
    minutes (Closes: #593436).
  * Replace the overkill build dependency gnome-core-devel with the
    slightly sleeker libgnomeui-dev, which should cover (together with
    libglade2-dev, which was already listed) everything that worked
    previously.
  * Move to 7.8-stable branch in SVN, modifying Vcs-Svn in debian/control
    to reflect this.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 20 Mar 2011 17:55:07 +0100

pike7.8 (7.8.352-dfsg-3) unstable; urgency=low

  * Revert cflags.dpatch (which was actually never applied). Stripping the
    last component was no mistake; pike -x cflags is only meant to be used
    by new-style modules.
  * Change include_prefix to /usr/include/pike7.8/pike so that building
    new-style modules can work.
  * Dump modules starting at the top of /usr/lib/pike7.8 so that compat
    modules can also be dumped and master.pike won't have to be dumped
    separately.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 30 Jul 2010 23:10:38 +0200

pike7.8 (7.8.352-dfsg-2) unstable; urgency=low

  * Add trigger for dumping of Pike modules when pike7.8-core or any
    module package is installed.
  * Remove support for the unversioned local module and include
    directories (/usr/local/lib/pike/*) to avoid having to coordinate
    their creation and removal by multiple versions.
  * Drop apparently obsolete build-dep libgtkhtml2-dev.
  * Don't run update-alternatives --remove on upgrade.
  * Exclude Tools.PV, which requires GTK (not GTK2).
  * debian/rules, unbreak_cross_compilation.dpatch: Use the right gcc and
    pass --host=$(DEB_HOST_GNU_TYPE) to configure as necessary.  Fix
    various bugs preventing cross compilation (Closes: #582242). Thanks to
    Marc Dirix.
  * Exclude modules GDK, Gnome, and GTKSupport, which also are for
    GTK+/Gnome 1.2, and update the package description of pike7.8-gtk to
    reflect the fact that it provides GTK+ 2.0 bindings.
  * Disable --with-relocatable-dumped-modules; it doesn't seem that we
    need it and it doesn't seem to work 100% properly.
  * no_dump_modules.dpatch (new): Patch install.pike not to dump modules
    at build time (thus no need to exclude master.pike.o in debian/rules).
  * Move AutoDoc and module-related modules and standalone tools to -dev
    and let -dev depend on -image.
  * module-layout.dpatch: Move misplaced parenthesis that caused the wrong
    local include directory to be added.
  * Build-depend on libmysqlclient-dev instead of libmysqlclient15-dev,
    which is now a virtual package provided by the former.
  * dumping_problems.dpatch (new): Patch from CVS fixing problems encoding
    the master object when dumping some modules.
  * cflags.dpatch (new): Make pike -x cflags print include_prefix as-is
    instead of stripping the last component.
  * Drop pike7.8-config; pike -x cflags and pike --dumpversion fills its
    functions.
  * Some changes in the meta package relationships.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 30 Jul 2010 13:17:35 +0200

pike7.8 (7.8.352-dfsg-1) experimental; urgency=low

  * New upstream release.
  * 01_master.in.dpatch: Renamed module-layout.dpatch.
  * module-layout.dpatch, debian/*.install, debian/rules:
    * Change Pike module and include paths to
      /usr/lib/pike7.8/modules and /usr/lib/pike7.8/include,
      respectively. Use the same but under /usr/local for locally built
      modules and include files. 
      C header files are moved to /usr/include/pike7.8.
  * module-layout.dpatch:
    * Patch module.pike to install modules in /usr/local/pike7.8/modules
      by default, and in the the normal /usr/pike7.8/modules if passed the
      --debian option.
    * dynamic_module_makefile: Prepend $(DESTDIR) to installation directory,
      to facilitate package building.
  * debian/rules, debian/specs.in: Reinstate own, simplified, updated
    specs file.
  * debian/rules: Fix /usr/include/pike7.8/precompike.pike, which tried to
    #include ../lib/Tools.pmod/Standalone.pmod/precompike.pike, which only
    works with the --new-style directory layout.
  * debian/control: Add ${misc:Depends} to all dependency lists.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 18 Apr 2010 23:46:47 +0200

pike7.8 (7.8.350-dfsg-1) experimental; urgency=low

  * New upstream version.
    - Drop nettle_2.0.dpatch.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 22 Sep 2009 08:35:09 +0200

pike7.8 (7.8.316-dfsg-1) experimental; urgency=low

  * New upstream release.
  * 'bundles' subdirectory deleted from upstream tarball.
  * Skip the pike -x module fix; it doesn't seem necessary and was also
    currently broken.
  * Switch to Nettle 2.0 (Build-Depend on nettle-dev instead of
    libnettle-dev).
    + nettle_2.0.dpatch: Temporarily include changes made in upstream CVS
      to accommodate the API changes.
  * Increase Debhelper compat level to 5.
  * 05_install.pike.dpatch (disabled): The passing-on of lib_prefix was
    fixed upstream, so this patch now instead does that with share_prefix
    and modifies install.pike to use it. The rest of the package is not
    quite ready though, so the patch is disabled for now.
  * Refresh all other patches.
  * Instead of patching shebangs and fixing execute permissions, simply


=== debian/control ===
Source: pike7.8
Section: interpreters
Priority: optional
Maintainer: Magnus Holmgren <holmgren@debian.org>
Uploaders: Henrik Andreasson <debian@han.pp.se>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 5), bison, sharutils, bc, pkg-config,
 libgmp10-dev, nettle-dev (>= 2.1~), zlib1g-dev | libz-dev,
 libbz2-dev, libgdbm-dev, libiodbc2-dev, libmysqlclient-dev,
 libpq-dev, libsqlite3-dev, libpcre3-dev, libsdl-mixer1.2-dev,
 libsdl1.2-dev, libsane-dev, x11proto-gl-dev, libxpm-dev,
 libglade2-dev, libfreetype6-dev, freeglut3-dev, libjpeg-dev,
 libtiff4-dev, librsvg2-dev (>= 2.7), libgnomeui-dev,
 libfuse-dev, libfftw3-dev, libavahi-compat-libdnssd-dev
Build-Conflicts: libutahglx-dev
Homepage: http://pike.ida.liu.se/
Vcs-Svn: svn://svn.debian.org/pkg-pike/branches/7.8-stable
Vcs-Browser: http://svn.debian.org/pkg-pike

Package: pike7.8-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pike7.8-doc
Description: Powerful interpreted programming language
 Pike is an interpreted, object-oriented, dynamic programming language
 with a syntax similar to C. It includes many powerful data types and
 a module system that, for instance, provides image manipulation together,
 with support for graphics formats like SVG, JPG, PNG, GIF, XCF and many
 others, database connectivity, advanced cryptography, XML/HTML parsers
 and others. To learn more about pike, please visit http://pike.ida.liu.se/
 Note that some of the Pike features are found in other pike7.8-* packages 
 (image processing, MySQL, PostgreSQL, SANE and more).

Package: pike7.8
Architecture: all
Depends: pike7.8-core (>= ${source:Version}), pike7.8-image (>= ${source:Version}), 
 pike7.8-gdbm (>= ${source:Version}), pike7.8-pcre (>= ${source:Version}), ${misc:Depends}
Recommends: pike7.8-mysql (>= ${source:Version}), pike7.8-pg (>= ${source:Version}), pike7.8-dev (>= ${source:Version})
Suggests: pike7.8-doc (= ${source:Version})
Description: Recommended metapackage for Pike 7.8
 This is a metapackage which depends upon several other Pike
 packages that together make up the recommended Pike installation.
 If you want to install every packaged component of the Pike 
 distribution, please install the pike7.8-full package.
 .
 If you want to remove several components this package depends
 upon, you can purge this package without worrying about the
 functionality loss in Pike and then remove the packages you
 don't need on your system.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version}), pike7.8-image (= ${binary:Version})
Description: Development files for Pike 7.8
 This package contains files you will need to develop C extension modules 
 for Pike. The package depends on the recommended set of packages for the 
 Pike environment.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-manual
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Pike 7.8 manual
 The Pike manual auto-generated from the sources.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-reference
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Pike 7.8 reference
 The Pike reference auto-generated from the sources.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, pike7.8-manual (= ${source:Version}), pike7.8-reference (= ${source:Version})
Description: Pike 7.8 documentation metapackage
 This package depends upon all the Pike 7.8 documentation  packages. Note 
 that the download and installation sizes might be very large.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-full
Architecture: all
Depends: ${misc:Depends}, pike7.8 (= ${source:Version}), pike7.8-mysql (>= ${source:Version}), pike7.8-pg (>= ${source:Version}), pike7.8-odbc (>= ${source:Version}), pike7.8-sdl (>= ${source:Version}), pike7.8-gdbm (>= ${source:Version}), pike7.8-gtk (>= ${source:Version}), pike7.8-gl (>= ${source:Version}), pike7.8-sane (>= ${source:Version}), pike7.8-doc (= ${source:Version}), pike7.8-dev (>= ${source:Version}), pike7.8-svg (>= ${source:Version}), pike7.8-pcre (>= ${source:Version}), pike7.8-bzip2 (>= ${source:Version}), pike7.8-fuse (>= ${source:Version}), pike7.8-sqlite (>= ${source:Version}), pike7.8-dnssd (>= ${source:Version})
Description: Metapackage for Pike 7.8
 This package depends on all the components that make up the Pike
 language distribution. It will pull in a LOT of packages the
 Pike components depend upon (including XFree libraries, GTK+, GNOME)!
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: MySQL module for Pike
 This Pike module provides access to MySQL databases.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-pg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: PostgreSQL module for Pike
 This Pike module provides access to PostgreSQL databases.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-odbc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: ODBC module for Pike
 This Pike module provides glue to the iODBC interface.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-svg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Suggests: pike7.8-image (= ${source:Version})
Description: SVG format support for Pike
 This module provides an SVG graphics format module. It has
 been separated from the pike7.8-image module because of its
 quite extensive dependencies.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-image
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Suggests: pike7.8-svg (= ${source:Version})
Description: Image module for Pike
 This module provides many powerful image processing functions to
 Pike programs.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-sdl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: SDL module for Pike
 This module provides the Pike interface to the SDL library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-gdbm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: Gdbm module for Pike
 This Pike module provides access to gdbm databases.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: GTK+ 2.0 module for Pike
 This Pike module provides access to the GTK+ 2.0 library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-gl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: Mesa module for Pike
 This Pike module provides access to the Mesa 3D graphics library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-sane
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: SANE module for Pike
 This Pike module provides access to SANE.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-pcre
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: PCRE module for Pike
 This Pike module enables one to use the PCRE (Perl compatible regular
 expressions) library from within the Pike programs.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-bzip2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: Bzip2 module for Pike
 This Pike module enables one to use the Bzip2 compression
 algorithm from within the Pike programs.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-fuse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: Filesystem in USErspace support for Pike
 This Pike module enables one to export filesystems to the Linux
 kernel using the FUSE library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: SQLite module for Pike
 This Pike module enables one to use the SQLite embedded database
 library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

Package: pike7.8-dnssd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike7.8-core (= ${binary:Version})
Description: DNS Service Discovery (DNS-SD) for Pike
 This Pike module enables one to take advantage of DNS service discovery.
 .
 DNS Service Discovery is a way of using standard DNS programming interfaces,
 servers, and packet formats to browse the network for services.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike7.8-core package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.
#
# $Id: rules,v 1.64 2006/08/05 15:49:18 grendel Exp $
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

ifdef CCVER
CC=gcc-$(CCVER)
else
CC=gcc
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFARGSEXTRA = --with-cdebug

ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
export CC=$(DEB_HOST_GNU_TYPE)-gcc
CFARGSEXTRA += --host=$(DEB_HOST_GNU_TYPE)
endif

ifeq (,$(DEB_BUILD_ARCH))
DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
endif

CFLAGS_EXTRA = -g
CPPFLAGS_EXTRA = -DDEBIAN

ifdef SSP
SSP_FLAGS=-fstack-protector
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFARGSEXTRA += --without-copt
else
  ifneq (,$(filter $(DEB_HOST_ARCH), i386))
    CFARGSEXTRA += --without-copt
    CFLAGS_EXTRA += -O1
  else
    CFARGSEXTRA += --with-copt
  endif
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
CFARGSEXTRA += --with-rtldebug
else
CFARGSEXTRA += --without-rtldebug
endif

CFLAGS_EXTRA += $(SSP_FLAGS)
# Temporary workaround for hppa linker issues
ifeq ($(DEB_BUILD_ARCH),hppa)
CFLAGS_EXTRA += -ffunction-sections
endif

ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

EXTRA_ARGS=--with-security

DO_MACHINE_CODE=no
ifeq ($(DEB_BUILD_ARCH),i386)
DO_MACHINE_CODE=yes
endif
ifeq ($(DEB_BUILD_ARCH),powerpc)
DO_MACHINE_CODE=yes
endif
ifeq ($(DEB_BUILD_ARCH),sparc)
DO_MACHINE_CODE=no
endif

ifeq ($(DO_MACHINE_CODE),yes)
MACHINE_OPTS=--with-machine-code
else
MACHINE_OPTS=--without-machine-code
endif

#DEBVERSION:=$(shell dpkg-parsechangelog | sed -ne 's/Version: *\(.*\)-.*$$/\1/p')
DEBVERSION:=$(shell dpkg-parsechangelog | grep "Version:" | cut -d" " -f2 | cut -d"-" -f1)
MAJOR:=$(shell sed -ne 's/major://p' buildid.txt)
MINOR:=$(shell sed -ne 's/minor://p' buildid.txt)
BUILD:=$(shell sed -ne 's/build://p' buildid.txt)
PIKEV:=$(MAJOR).$(MINOR)
VERSION:=$(MAJOR).$(MINOR).$(BUILD)
PIKE:=pike$(PIKEV)

ifneq ($(VERSION),$(DEBVERSION))
$(error Version mismatch; buildid.txt: $(VERSION), debian/changelog: $(DEBVERSION))
endif

CFARGS=$(CFARGSEXTRA) \
       --with-cflags='$(CFLAGS_EXTRA)' \
       --with-cppflags='$(CPPFLAGS_EXTRA)' \
       --with-bignums \
       --with-gmp \
       --with-poll \
       --with-zlib \
       --with-freetype \
       --without-ttflib \
       --with-libnettle \
       --without-sybase \
       --without-java \
       --with-odbc \
       --with-sane \
       --with-postgres \
       --with-postgres-include-dir=`pg_config --includedir` \
       --with-libpq-dir=/usr/lib \
       --without-ffmpeg \
       --without-fftw \
       --without-libpdf \
       --without-libpanda \
       --without-GTK \
       --with-GTK2 \
       --without-bundles \
       --without-oracle \
       --without-dvb \
       --with-sqlite \
       --disable-rpath \
       --disable-smartlink_binary \
       $(MACHINE_OPTS) $(EXTRA_ARGS)

include_prefix=/usr/include/pike$(PIKEV)/pike
lib_prefix=/usr/lib/pike$(PIKEV)

MODULE_PACKAGES=$(shell dh_listpackages -a -N $(PIKE)-core)
#{ADT,Array,Audio,Cache,Calendar,Calendar_I,COM,Colors,CommonLog,Crypto,Debug,Filesystem,Error,Float,Function,Geography,Getopt,Gettext,Gmp,Graphics,Gz,HTTPAccept,Int,Kerberos,Languages,Local,Locale,Mapping,Math,MIME,Mird,Multiset,Nettle,Parser,Pike,Pipe,Process,Program,Protocols,Regexp,Remote,SSL,Shuffler,Standards,Stdio,String,System,Thread,Tools,Unicode,Web,Yabu,Yp,_ADT,_Charset,_Roxen,___Gz,___MIME,___Math,___Mird,___Regexp,___Yp,____Charset,__builtin*,spider}.
#usr/lib/pike/*/modules/Sql.pmod/{module,Sql,rsql,sql_*}.*

excluded_modules:=Ssleay Mird Msql msql PDF Ffmpeg Oracle oracle sybase DVB Java TTF PV.pike Gnome GDK GTKSupport
# This is tricky. Note that it's only possible for an exclusion to match the last
# component specified in an .install file or on the command line, and below.
DH_EXCLUDE:=$(addprefix -X,$(excluded_modules))
DH_ALREADY=`for p in $(MODULE_PACKAGES); do \
	      find debian/$$p/usr/lib/pike?.?/* -type f -printf "-X%P "; done`

TMP=$(CURDIR)/debian/tmp

#export CFLAGS CC PIKE VERSION
export CC

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE) compile CONFIGUREARGS="$(CFARGS)"
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	$(MAKE) documentation CONFIGUREARGS="$(CFARGS)"
	touch build-indep-stamp

build: build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-arch-stamp build-indep-stamp configure-stamp
	$(MAKE) distclean
	rm -rf refdoc/modref refdoc/traditional_manual
	dh_clean

install: DH_OPTIONS=
install: build-arch
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) INSTALLARGS=--traditional \
		buildroot=$(TMP) \
		prefix=/usr \
		man_prefix=/usr/share/man \
		lib_prefix="$(lib_prefix)" \
		include_prefix="$(include_prefix)" \
		pike_name=/usr/bin/$(PIKE) \
		install_nodoc

#	Some cleaning
	find "$(TMP)$(lib_prefix)" -name '.autodoc' -type f -exec rm -f '{}' ';'

	install -d -m755 $(TMP)/usr/share/pixmaps
	install -m644 debian/pike.xpm $(TMP)/usr/share/pixmaps/$(PIKE).xpm
	mv $(TMP)/usr/bin/pike $(TMP)/usr/bin/$(PIKE)
	mv $(TMP)/usr/share/man/man1/pike.1 $(TMP)/usr/share/man/man1/$(PIKE).1

#	Simply strip exec permissions and shebangs from all pike scripts.
	find $(TMP)/usr -name *.p* -type f \
		-exec chmod a-x '{}' + \
		-exec sed -ri -e '1!b;/^#!/d' '{}' +

#	Install our own, simpler specs file.
	sed -e "s;@include_prefix@;$(include_prefix);g" \
	    -e "s;@CONFIGURE_ARGS@;$(CFARGS);g" \
	    debian/specs.in > $(TMP)$(include_prefix)/specs

#	Fix precompike.pike
	sed -i -e "s%\.\./lib%$(lib_prefix)%" $(TMP)$(include_prefix)/precompile.pike

# 	# pike -x module fix
#	sed -i -e 's;\$$(MODULE_BASE)/dynamic_module_makefile;\$$(PIKE_SRC_DIR)/modules/dynamic_module_makefile;g' \
#		$(TMP)$(include_prefix)/modules/dynamic_module_makefile

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	# install the docs
	dh_install -p$(PIKE)-manual refdoc/traditional_manual/* usr/share/doc/$(PIKE)-doc/html/manual
	dh_install -p$(PIKE)-reference refdoc/modref/* usr/share/doc/$(PIKE)-doc/html/reference
	dh_install -i -N$(PIKE)-manual -N$(PIKE)-reference --sourcedir=$(TMP)
	dh_installdocs -i
	dh_installchangelogs -i -k CHANGES
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir -a
	dh_testroot -a
	dh_install -a -N$(PIKE)-core --sourcedir=debian/tmp $(DH_EXCLUDE)
	dh_install -p$(PIKE)-core --sourcedir=debian/tmp $(DH_EXCLUDE) $(DH_ALREADY)
	for p in $(MODULE_PACKAGES) $(PIKE)-dev; do \
		dh_link -p$$p usr/share/doc/$(PIKE)-core usr/share/doc/$$p; \
	done
	dh_installdocs -a
	dh_installmenu -a
	dh_installchangelogs -a -k CHANGES
	dh_strip -a
	dh_compress -a
	dh_fixperms -a -X/run_autoconfig -X/precompile.sh -X/smartlink -X/fixdepends.sh -X/install_module -X/mktestsuite
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

opts=dversionmangle=s/-dfsg$// \
http://pike.ida.liu.se/download/pub/pike/all/(7\.8\.\d+)/ .*/Pike-v(7\.8\.\d+)\.tar\.gz

## pike7.8 7.8.550-dfsg

=== debian/changelog ===
pike7.8 (7.8.550-dfsg-1) experimental; urgency=low

  * The latest official upstream "beta" release.
    - Dropped dumping_problems.patch; incorporated upstream.
    - unbreak_cross_compilation.patch partially incorporated upstream.
    * Update debian/watch to point to
      http://pike.ida.liu.se/download/pub/pike/beta/.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 25 Apr 2011 00:28:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Magnus Holmgren <holmgren@debian.org>
 Uploaders: Henrik Andreasson <debian@han.pp.se>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 5), bison, sharutils, bc, pkg-config,
  libgmp10-dev, nettle-dev (>= 2.1~), zlib1g-dev | libz-dev,
  libbz2-dev, libgdbm-dev, libiodbc2-dev, libmysqlclient-dev,
@@ -14,7 +14,7 @@
  libfuse-dev, libfftw3-dev, libavahi-compat-libdnssd-dev
 Build-Conflicts: libutahglx-dev
 Homepage: http://pike.ida.liu.se/
-Vcs-Svn: svn://svn.debian.org/pkg-pike/branches/7.8-stable
+Vcs-Svn: svn://svn.debian.org/pkg-pike/trunk
 Vcs-Browser: http://svn.debian.org/pkg-pike
 
 Package: pike7.8-core

=== debian/rules ===
--- 
+++ 
@@ -42,12 +42,7 @@
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 CFARGSEXTRA += --without-copt
 else
-  ifneq (,$(filter $(DEB_HOST_ARCH), i386))
-    CFARGSEXTRA += --without-copt
-    CFLAGS_EXTRA += -O1
-  else
-    CFARGSEXTRA += --with-copt
-  endif
+CFARGSEXTRA += --with-copt
 endif
 
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
